<?php

declare(strict_types=1);

namespace Dedi\SyliusImageOptimizerPlugin\Twig\Extension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class BasenameExtension extends AbstractExtension
{
    public function getName()
    {
        return 'twig_extension';
    }

    public function getFilters()
    {
        return [
            new TwigFilter('basename', [$this, 'basenameFilter']),
        ];
    }

    /**
     * @var string
     *
     * @return string
     */
    public function basenameFilter($value, $suffix = '')
    {
        return basename($value, $suffix);
    }
}
